<?php

namespace Teknisa\FIN\Modules\ContaReceber\Factory;

use \Teknisa\Model\Financeiro\Entities\GeralRec;
use Teknisa\Libs\Util\DateUtil;
use Doctrine\ORM\EntityManager;

class GeralRecTipoajreceberFactory{
    protected $entityManager;
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
        $this->entityManager = $entityManager;
    }

    public function insereParametroContaReceber ($cdgeralrec, $idbloqincntr, $idtpcntrlib, $idutctrlcanremr,
                                                 $idbloqaltbolrec, $idutlnfdevolrec, $idutbcoprefclie,
                                                 $idextelacalajubx, $nrorg){
        $geralRec = new GeralRec();
        $geralRec->setNrorg($nrorg);
        $geralRec->setCdgeralrec($cdgeralrec);
        $geralRec->setIdbloqincntr($idbloqincntr);
        $geralRec->setIdtpcntrlib($idtpcntrlib);
        $geralRec->setIdutctrlcanremr($idutctrlcanremr);
        $geralRec->setIdbloqaltbolrec($idbloqaltbolrec);
        $geralRec->setIdutlnfdevolrec($idutlnfdevolrec);
        $geralRec->setIdutbcoprefclie($idutbcoprefclie);
        $geralRec->setIdextelacalajubx($idextelacalajubx);
        $geralRec->setDtinclusao(DateUtil::getDataAtual());
        $geralRec->setDtultatu(DateUtil::getDataAtual());
        $geralRec->setNrorginclusao($nrorg);
        $geralRec->setNrorgultatu($nrorg);
        return $geralRec;
    }
    
    public function atualizaTabelaGeralRec($params){
        
        $sql = "UPDATE GERAL_REC SET IDBLOQINCNTR =:IDBLOQINCNTR, IDTPCNTRLIB =:IDTPCNTRLIB, IDUTLPRORVCREC =:IDUTLPRORVCREC WHERE CDGERALREC =:CDGERALREC";
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        
    }
    
    public function atualizaTabelaParamGeral($params){
        
        $sql = "UPDATE PARAMGERAL SET IDUTLPROCREC =:IDUTLPROCREC, IDCONTROLARECCONTRATO =:IDCONTROLARECCONTRATO WHERE CDPARGERAL =:CDPARGERAL";
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        
    }
    
    public function atualizaTabelaAutGrup($params){
        
        $sql = "UPDATE PARAMGERAL SET IDUTLPROCREC =:IDUTLPROCREC, CDGROPERPROR =:CDGROPERPROR WHERE CDPARGERAL =:CDPARGERAL";
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        
    }
}